%define name		jonas
%define version		4.3.5
%define major_version	4.3
%define final_release   1jpp_2rh

# If '--with snapshot' is not specified, a production release will be built
# For snapshots, give rpmbuild the option '--with snapshot'
# the current date will be used
# To specify a date, add '--define "snapshot YYYYMMDD"' as well
%define cvs_version	%{?snapshot}%{!?snapshot:%(date +%Y%m%d)}
%if %{?_with_snapshot:1}%{!?_with_snapshot:0}
%define release		0.%{cvs_version}.1jpp_1rh
%else
%define release		%{final_release}
%endif

%define section		free
%define summary		JOnAS J2EE/EJB server

# If you want -tests built, give rpmbuild the option '--with tests'
%define with_tests %{!?_with_tests:0}%{?_with_tests:1}

#	jonasrootdir	/usr/share/jonas
%define jonasrootdir	%{_datadir}/%{name}
#	confdir		/etc/jonas
%define confdir		%{_sysconfdir}/%{name}
#	logsdir		/var/log/jonas
%define logsdir		%{_localstatedir}/log/%{name}
#	syslibdir	/var/lib
%define syslibdir	%{_localstatedir}/lib
%define appsdir		%{syslibdir}/%{name}/apps
%define webappsdir	%{syslibdir}/%{name}/webapps
%define ejbjarsdir	%{syslibdir}/%{name}/ejbjars
%define clientsdir	%{syslibdir}/%{name}/clients
%define rarsdir		%{syslibdir}/%{name}/rars
%define libdir		%{syslibdir}/%{name}/lib
%define demodir		%{syslibdir}/%{name}/demoserver
%define eclipsedir	%{syslibdir}/%{name}/eclipseserver
%define jonastestsdir	%{syslibdir}/%{name}/jonas_tests
#	workdir		/var/cache/jonas/work
%define workdir		%{_localstatedir}/cache/%{name}/work

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
#Vendor:         %{vendor}
#Distribution:   %{distribution}
URL:            http://jonas.objectweb.org/
BuildArch:      noarch

# Source files

# The pristine tar ball from ObjectWeb
%if %{?_with_snapshot:1}%{!?_with_snapshot:0}
Source0:        %{name}-%{version}-%{cvs_version}-src.tgz
%else
Source0:        %{name}-%{version}-src.tgz
%endif

# Explains how to start the JOnAS server installed by this RPM
Source1:	JONAS.README.RPM

# Red Hat specific sources (init scripts, log rotation etc.)
# (may work on other SysV-style distros)

# A web application version of the JOnAS User Guide
# (DocBook formatted manual)
#Source2: jonas-doc-en-%{version}.war
# The documentation has not changed from 4.3.3
Source2: jonas-doc-en-4.3.3.war

# An init script for the default JOnAS server (the one that runs
# the jonasAdmin application) and corresponding config properties
Source3: jonas.init 
Source4: rhdb-jonas.init 
Source5: jonas.sysconfig
Source6: rhdb-jonas.sysconfig

# Log rotation configuration for this default JOnAS service
Source7: jonas.logrotate
Source8: rhdb-jonas.logrotate

# Patch to adjust a standard jonasbase configuration to allow
# its use by Eclipse developers for debugging
Source9: jonas-%{major_version}-eclipse.patch

# Profile scripts for default JONAS_ROOT
Source10: jonas-profile.csh
Source11: jonas-profile.sh

# RH Graphics
Source12: JonasAdmin-RHAPS.jpg
Source13: Welcome-RHAPS.jpg

%if %{with_tests}
# The corresponding JOnAS testsuite from ObjectWeb's CVS repository
%if %{?_with_snapshot:1}%{!?_with_snapshot:0}
Source14: %{name}_tests-%{version}-%{cvs_version}-src.tgz
%else
Source14: jonas_tests-%{version}-src.tgz
%endif
%endif

# Patches

# Local modifications to JOnAS proper
# Currently empty
#Patch0: jonas-%{version}.patch

# As the tomcat package has been split and now jasper and servlet are in
# their own packages (jasper 5 and servletapi5), we need to add them to
# some of the build classpath tags in the Ant clientbuild script.
# We also have to adjust some classpaths so that the jpackage installed
# jar files are used, and not the ones that are normally distributed with JOnAS
Patch3: jonas-%{major_version}-buildscripts.patch

# Red Hat specific patches

# Setup PostgreSQL as the default data source jdbc_1
Patch6: jonas-%{major_version}-properties.patch

# Customize strings
Patch7: jonas-%{major_version}-jadmin.patch
# Customize graphics
Patch8: jonas-%{major_version}-ctxroot.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

#
# Build dependencies
# --------------------------------------------------------------------

# Generic build stuff
BuildRequires:  coreutils
BuildRequires:  jpackage-utils >= 0:1.5.38
BuildRequires:	java >= 0:1.4.2
BuildRequires:	java-devel >= 0:1.4.2
BuildRequires:	ant >= 0:1.6.2
BuildRequires:	ant-apache-bcel
BuildRequires:	ant-nodeps

# The bundled Tomcat
# Tomcat 5.0.30 is only used for building JOnAS
BuildRequires:	tomcat5030
#BuildRequires:	tomcat5 >= 0:5.0.30
#BuildRequires:	tomcat5-admin-webapps
#BuildRequires:	tomcat5-webapps
BuildRequires:  jasper5

# Objectweb components
#BuildRequires:	perseus-cache = 0:1.3.4
BuildRequires:	carol = 0:1.8.9.4
#BuildRequires:	perseus-concurrency = 0:1.4
#BuildRequires:	perseus-dependency = 0:1.4
#BuildRequires:	howl = 0:0.1.8
#BuildRequires:	ishmael = 0:0.1.6
BuildRequires:	jonathan-jeremie = 0:4.2
BuildRequires:	jonathan-core = 0:4.1
BuildRequires:	joram = 0:4.1.5
# FIXME JORM_2_4_3_patch_p1
#BuildRequires:	jorm = 0:2.4.3
BuildRequires:	oldkilim = 0:1.1.3
#BuildRequires:	jorm-rdb-adapter = 0:2.6
BuildRequires:	jotm = 0:2.0.8
# FIXME MEDOR_1_4_4_paths
#BuildRequires:	medor = 0:1.4.4
#BuildRequires:	medor-exp = 0:1.4.2
BuildRequires:	monolog = 0:1.8.6
# FIXME Why version properties mention 1.0 when there is a 1.2?
BuildRequires:  objectweb-anttask >= 0:1.0
#BuildRequires:	perseus-persistence = 0:1.3.4
#BuildRequires:	perseus-pool = 0:1.3.3
#BuildRequires:	speedo = 0:1.2.1

# J2EE APIs (mainly under Sun Binary License)
# Note: jaf and javamail are not only APIs
BuildRequires:	j2ee-connector = 0:1.5
BuildRequires:	ejb = 0:2.1
BuildRequires:	j2ee-deployment = 0:1.1
BuildRequires:	j2ee-management = 0:1.0
#BuildRequires:	jacc = 0:1.0
BuildRequires:  jaf >= 1:1.0.2
BuildRequires:	jms = 0:1.1
# JSP comes with servletapi from Tomcat 5
#BuildRequires:	jsp = 0:2.0
BuildRequires:	jta >= 0:1.0.1
BuildRequires:	jts = 0:1.0
# We use the jarfile with all providers for building
BuildRequires:	javamail-monolithic = 1:1.3.1
# Servlet 2.4 (From Apache Tomcat 5)
BuildRequires:	servletapi5
# We use the JAXRPC that comes with axis
#BuildRequires:	jaxrpc = 0:1.1
# We use the SAAJ that comes with axis
#BuildRequires:	saaj = 0:1.2
#BuildRequires:	jaxr = 0:1.0
# WSDL comes with WSDL4J
#BuildRequires:	jwsdl = 0:1.0
# JMX comes with MX4J

# Not a J2EE API
BuildRequires:	jdo >= 0:1.0

# Jakarta Commons mentioned in versions.properties
BuildRequires:  jakarta-commons-beanutils >= 0:1.7.0
BuildRequires:	jakarta-commons-collections >= 0:3.1
BuildRequires:  jakarta-commons-digester >= 0:1.6
BuildRequires:	jakarta-commons-logging >= 0:1.0.4
BuildRequires:	jakarta-commons-modeler >= 0:1.1
# FIXME Actually JOnAS comes with "Snapshot (27-Mar-2004)"
#BuildRequires:	jakarta-commons-discovery >= 0:0.2
# For the examples
BuildRequires:	jakarta-commons-validator >= 0:1.1.3
BuildRequires:	oro >= 0:2.0.8

# Other packages mentioned in versions.properties
# FIXME Should be 1.7.3.1
BuildRequires:	hsqldb >= 0:1.7.3.0
# The version of JacORB used is patched by ObjectWeb
# JONAS_JACORB_1_0_2
#BuildRequires:	jacorb >= 2.2.1
# avalon is actually required by jacorb
# FIXME We need avalon-framework 4.1.5
BuildRequires:  avalon-framework >= 4.1.4
BuildRequires:  avalon-logkit >= 1.2
BuildRequires:	jgroups >= 0:2.2.6
# FIXME Needs newer MX4J
#BuildRequires:	mx4j >= 1:3.0.1
BuildRequires:	mx4j >= 1:2.1.0
BuildRequires:	p6spy >= 0:1.3
# Also from Jakarta
BuildRequires:	struts >= 0:1.2.4
BuildRequires:	velocity >= 0:1.4
BuildRequires:	xdoclet >= 0:1.2.2
BuildRequires:	xjavadoc >= 0:1.0.3

# Web Services
# FIXME we want 1.2 (but it is still rc2)
# FIXME the axis rc2 release is patched by ObjectWeb
# JONAS_AXIS_1_0_5
# FIXME but we need it to grab a few dependency jars
BuildRequires:	axis >= 0:1.2
# FIXME EWS is also patched by ObjectWeb
# JONAS_EWS_1_0_2
#BuildRequires:	ews >= 0:1.0.0
# FIXME A development version dated 09-Nov-2004
#BuildRequires: xmlbeans >= 0:1.0
#BuildRequires:	jaxr-ri = 0:1.0_03
# FIXME A snapshot dated 27-Apr-2004
#BuildRequires:	wsdl4j >= 0:1.4
# FIXME CVS Snapshot 21-Jan-2005 + patches (JUDDI-50 and -51)
#BuildRequires:	juddi >= 0:0.9

# XML
BuildRequires:	xalan-j2 >= 0:2.6.0
BuildRequires:	xerces-j2 >= 0:2.6.2

# Miscellaneous

# Needed by the JAXR-RI
BuildRequires:  castor >= 0.9.3.9

# Jakarta Commons _NOT_ mentioned in versions.properties
# FIXME xml-commons-apis goes into endorsed.
BuildRequires:	xml-commons-apis >= 0:1.0

# --------------------------------------------------------------------
# End Build dependencies
#

#
# Execution dependencies
# --------------------------------------------------------------------

# Installation stuff
Requires:  	jpackage-utils >= 0:1.5.38
Requires:	/usr/sbin/useradd, /usr/sbin/groupadd, /sbin/chkconfig

# Generic execution
Requires:	java >= 0:1.4.2
Requires:	java-devel >= 0:1.4.2

# Dynamic compilation
Requires:	ant >= 0:1.6.2
Requires:	bcel >= 0:5.1

# To make it a complete J2EE AppServer
Requires: jonas-client = %{version}

# For the bundled Tomcat
# We currently copy whatever we need from Tomcat libraries at build
# But we need the packages the links point to to be around
#Requires:	tomcat5 >= 0:5.0.30
Requires:  jakarta-commons-dbcp
Requires:  jakarta-commons-el
Requires:  jakarta-commons-pool
Requires:  jakarta-commons-fileupload
Requires:  regexp
Requires:  jasper5

# Objectweb components
#Requires:	perseus-cache = 0:1.3.4
Requires:	carol = 0:1.8.9.4
#Requires:	perseus-concurrency = 0:1.4
#Requires:	perseus-dependency = 0:1.4
#Requires:	howl = 0:0.1.8
#Requires:	ishmael = 0:0.1.6
Requires:	jonathan-jeremie = 0:4.2
Requires:	jonathan-core = 0:4.1
Requires:	joram = 0:4.1.5
#Requires:	jorm = 0:2.4.3
Requires:	oldkilim = 0:1.1.3
#Requires:	jorm-rdb-adapter = 0:2.6
Requires:	jotm = 0:2.0.8
# FIXME with patches?
#Requires:	medor = 0:1.4.4
#Requires:	medor-exp = 0:1.4.2
Requires:	monolog = 0:1.8.6
# FIXME Why version properties mention 1.0 when there is a 1.2?
Requires:       objectweb-anttask >= 0:1.0
#Requires:	perseus-persistence = 0:1.3.4
#Requires:	perseus-pool = 0:1.3.3
#Requires:	speedo = 0:1.2.1

# J2EE APIs (mainly under Sun Binary License)
# Note: jaf and javamail are not only APIs
Requires:	j2ee-connector = 0:1.5
Requires:	ejb = 0:2.1
Requires:	j2ee-deployment = 0:1.1
Requires:	j2ee-management = 0:1.0
#Requires:	jacc = 0:1.0
Requires:	jaf >= 1:1.0.2
Requires:	jms = 0:1.1
# JSP comes with servletapi from Tomcat 5
#Requires:	jsp = 0:2.0
Requires:	jta >= 0:1.0.1
Requires:	jts = 0:1.0
Requires:	javamail = 1:1.3.1
# Servlet 2.4 (From Apache Tomcat 5)
Requires:	servletapi5
# We use the JAXRPC that comes with axis
#Requires:	jaxrpc = 0:1.1
# We use the SAAJ that comes with axis
#Requires:	saaj = 0:1.2
#Requires:	jaxr = 0:1.0
# WSDL comes with WSDL4J
#Requires:	jwsdl = 0:1.0
# JMX comes with MX4J

# Not a J2EE API
Requires:	jdo >= 0:1.0

# Jakarta Commons mentioned in versions.properties
Requires:  	jakarta-commons-beanutils >= 0:1.7.0
Requires:	jakarta-commons-collections >= 0:3.1
Requires:  	jakarta-commons-digester >= 0:1.6
Requires:	jakarta-commons-logging >= 0:1.0.4
Requires:	jakarta-commons-modeler >= 0:1.1
# FIXME Actually JOnAS comes with "Snapshot (27-Mar-2004)"
#Requires:	jakarta-commons-discovery >= 0:0.2
# For the examples
Requires:	jakarta-commons-validator >= 0:1.1.3
Requires:	oro >= 0:2.0.8

# Other packages mentioned in versions.properties
# FIXME Should be 1.7.3.1
Requires:	hsqldb >= 0:1.7.3.0
# The version of JacORB used is patched by ObjectWeb
#Requires:	jacorb >= 2.2.1
# avalon is actually required by jacorb
# FIXME We need avalon-framework 4.1.5
Requires:  avalon-framework >= 4.1.4
Requires:  avalon-logkit >= 1.2
Requires:	jgroups >= 0:2.2.6
# FIXME Needs newer MX4J
#Requires:	mx4j >= 1:3.0.1
Requires:	mx4j >= 1:2.1.0
Requires:	p6spy >= 0:1.3
# Also from Jakarta
Requires:	struts >= 0:1.2.4
Requires:	velocity >= 0:1.4
Requires:	xdoclet >= 0:1.2.2
Requires:	xjavadoc >= 0:1.0.3

# Web Services
# FIXME we want 1.2 (but it is still rc2)
# FIXME the axis rc2 release is patched by ObjectWeb
# FIXME but we need it to grab a few dependency jars
Requires:	axis >= 0:1.2
# FIXME EWS is also patched by ObjectWeb
#Requires:	ews >= 0:1.0.0
# FIXME A development version dated 09-Nov-2004
#Requires:	xmlbeans >= 0:1.0
#Requires:	jaxr-ri = 0:1.0_03
# FIXME A snapshot dated 27-Apr-2004
#Requires:	wsdl4j >= 0:1.4
# FIXME CVS Snapshot 21-Jan-2005 + patches (JUDDI-50 and -51)
#Requires:	juddi >= 0:0.9

# XML
Requires:	xalan-j2 >= 0:2.6.0
Requires:	xerces-j2 >= 0:2.6.2

# Miscellaneous

# Needed by the JAXR-RI
Requires:  castor >= 0.9.3.9

# Jakarta Commons _NOT_ mentioned in versions.properties
# FIXME xml-commons-apis goes into endorsed.
Requires:	xml-commons-apis >= 0:1.0

# For Red Hat only
Requires: postgresql >= 7.3.4
Requires: postgresql-server >= 7.3.4
Requires: postgresql-jdbc >= 7.3.4


# --------------------------------------------------------------------
# End Execution dependencies
#

%description
The jonas package contains ObjectWeb's J2EE implementation.
Install this package if you wish to run a Java enterprise
web application server.  It includes its own copy of Apache
Tomcat and web-based administration interfaces.

%package -n jonas-client
Summary: JOnAS files necessary for running rich clients
Group: Applications/Internet
Obsoletes: jonas-jars

%description -n jonas-client
The jonas-client package contains, among other things, a big jar file,
client.jar, and a shell script jclient.sh that make possible to run
"rich" clients. Install this on a machine that does not have the jonas
server to be able to run this type of applications remotely.

%package -n jonas-docs
Summary: JOnAS (and Tomcat) documentation
Group: Applications/Internet
# FIXME only the war version needs jonas
Requires: jonas = %{version}

%description -n jonas-docs
The jonas-docs package contains both html and web-based versions
of the JOnAS User Guide and web-based documentation for tomcat.

%package -n jonas-examples
Summary: JOnAS example applications
Group: Applications/Internet
BuildRequires: ant-apache-bcel
BuildRequires: ant-nodeps
Requires: jonas = %{version}

%description -n jonas-examples
The jonas-examples package contains example web applications.

%if %{with_tests}
%package -n jonas-tests
Summary: JOnAS regression tests
Group: Applications/Internet
BuildRequires: junit
Requires: jonas = %{version}
Requires: ant-junit
Requires: httpunit
Requires: nekohtml
Requires: rhino

%description -n jonas-tests
The jonas-tests package contains regression tests used in JOnAS development
%endif

# -----------------------------------------------------------------------------

# -----------------------------------------
# RPM Build preparation (1)
# -----------------------------------------
%prep

# Clean existing builds
rm -rf  $RPM_BUILD_DIR/%{name}*

%setup -q -n %{name}

# Apply patches needed for building
# ------------------------------------------

# patch jonas
#%patch0
# patch the jonas Ant build scripts
%patch3

# Red Hat specific
# patch data source configuration for jdbc_1
%patch6
# patch jonasAdmin
%patch7
# patch Welcome page
%patch8

# Red Hat specific
# Replace jonasAdmin graphics
cp %{SOURCE12} src/org/objectweb/jonas/webapp/jonasadmin/web/images/logo/JonasAdmin.jpg
# Replace Welcome page graphics
cp %{SOURCE13} src/org/objectweb/jonas/webapp/ctxroot/default/JonasAdmin.jpg

# Red Hat specific
# Replace OW doc files with Red Hat version of the JOnAS User Guide
cp %{SOURCE2} doc/jonas-doc-en.war

# Link preparation (dependencies)
# Includes all jars already existing as rpms
# ------------------------------------------

# J2EE apis
pushd $RPM_BUILD_DIR/%{name}/externals/commons/j2ee
	find . -name "activation*.jar" -exec rm -f {} \;
	build-jar-repository . activation
	find . -name "ejb*.jar" -exec rm -f {} \;
	build-jar-repository . ejb
	find . -name "jms*.jar" -exec rm -f {} \;
	build-jar-repository . jms
	# JSP comes with servletapi from Tomcat 5
	find . -name "jsp*.jar" -exec rm -f {} \;
	build-jar-repository . jspapi
	find . -name "jta*.jar" -exec rm -f {} \;
	build-jar-repository . jta
	find . -name "mail*.jar" -exec rm -f {} \;
	build-jar-repository . javamail/imap javamail/mailapi javamail/pop3 javamail/smtp
	find . -name "servlet*.jar" -exec rm -f {} \;
	build-jar-repository . servletapi5
# FIXME A snapshot dated 27-Apr-2004
#	find . -name "wsdl4j*.jar" -exec rm -f {} \;
#	build-jar-repository . wsdl4j
	find . -name "connector*.jar" -exec rm -f {} \;
	build-jar-repository . j2ee-connector
	find . -name "javax77*.jar" -exec rm -f {} \;
	build-jar-repository . j2ee-management
	find . -name "jsr88*.jar" -exec rm -f {} \;
	build-jar-repository . j2ee-deployment
	find . -name "jts*.jar" -exec rm -f {} \;
	build-jar-repository . jts
# FIXME Axis 1.1 says it is a JAXRPC 1.1 API and that is what
# versions.properties asks for, but we get this:
# cannot resolve symbol : constructor QName (java.lang.String,java.lang.String,java.lang.String)
# which doesn't happen with the Sun one
# Make sure to use Axis 1.2 with its JAXRPC 1.2
	find . -name "jaxrpc*.jar" -exec rm -f {} \;
	build-jar-repository . axis/jaxrpc
	find . -name "saaj*.jar" -exec rm -f {} \;
	build-jar-repository . axis/saaj
# FIXME we don't have packages for the following
#	find . -name "jaxr-api*.jar" -exec rm -f {} \;
#	build-jar-repository . jaxr-api
#	find . -name "jacc*.jar" -exec rm -f {} \;
#	build-jar-repository . jacc
popd

# We now use mx4j instead of JMX
# TEST Revert to MX4J shipped with JOnAS
#pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/mx4j
#	find . -name "mx4j*.jar" \
#              -exec rm -f {} \;
#	build-jar-repository . mx4j/mx4j mx4j/mx4j-remote
#popd
# ----------------------------------------------------
#

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas
	find . -mindepth 1 -maxdepth 1 \
               -name "*.jar" \
               -not -name "*howl*" \
               -exec rm -f {} \;
#	build-jar-repository . p6spy howl jotm
	build-jar-repository . p6spy jotm
popd

#pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/perseus
#	find . -name "*.jar" -exec rm -f {} \;
#	build-jar-repository . perseus/ow_perseus_cache perseus/ow_perseus_concurrency perseus/ow_perseus_dependency perseus/ow_perseus_persistence perseus/ow_perseus_connection_holder perseus/ow_perseus_pool
#popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/carol
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jgroups carol/ow_carol_core
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jaxr-ri
	find . -name "castor*.jar" \
               -exec rm -f {} \;
#	build-jar-repository . jaxr-ri castor fscontext soap
	build-jar-repository . castor
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jeremie
	find . -name "*.jar" \
               -exec rm -f {} \;
	build-jar-repository . jonathan-core jonathan-jeremie oldkilim nanoxml-lite
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/joram
	find . -name "*.jar" \
               -exec rm -f {} \;
	build-jar-repository . regexp java_cup java_cup-runtime joram/client joram/connector  joram/mom joram/shared
popd

#pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jorm
#	find . -name "*.jar" \
#               -exec rm -f {} \;
#	build-jar-repository . jorm-rdb-adapter/ow_jorm_rdb_adapter jorm/ow_jorm_api jorm/ow_jorm_core jorm/ow_jorm_runtime
#popd

#pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/medor
#	find . -name "*.jar" \
#               -exec rm -f {} \;
#	build-jar-repository . medor-exp/ow_medor_exp medor/ow_medor medor/ow_medor_clone
#popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/monolog
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . monolog/ow_util_log_helper monolog/ow_util_log_api monolog/ow_util_log_wrp_p6spy monolog/ow_util_log_file monolog/ow_util_log_wrp_log4j monolog/ow_util_log_wrp_javalog monolog/ow_util_log_wrp_pw monolog/ow_util_log_wrp_common
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/speedo
#	find . -name "*.jar" \
#		-not -name "speedo_for_jonas_ra.jar" \
#               -exec rm -f {} \;
#	build-jar-repository . speedo/speedo_client jdo/jdo
	find . -name "jdo.jar" \
               -exec rm -f {} \;
	build-jar-repository . jdo/jdo
popd

# Jakarta libs
# -----------------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-beanutils*.jar" -exec rm -f {} \;
	build-jar-repository . commons-beanutils
popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-collections*.jar" -exec rm -f {} \;
	build-jar-repository . commons-collections
popd
# FIXME Actually JOnAS comes with "Snapshot (27-Mar-2004)"
#pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
#	find . -name "commons-discovery*.jar" -exec rm -f {} \;
#	build-jar-repository . commons-discovery
#popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-logging-api*.jar" -exec rm -f {} \;
	build-jar-repository . commons-logging-api
popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-modeler*.jar" -exec rm -f {} \;
	build-jar-repository . commons-modeler
popd
pushd $RPM_BUILD_DIR/%{name}/externals/tools
	find . -name "*.jar" \
               -not -name "ews*.jar" \
               -not -name "ow_jorm_compiler*.jar" \
               -not -name "xbean-apache*.jar" \
               -exec rm -f {} \;
	# externals/tools/velocity-dep-1.4.jar includes also
	# commons-collections, avalon-logkit and oro
        # collections is in commons;  logkit is in endorsed
#	build-jar-repository . commons-digester axis/axis-ant carol/ow_carol_cmic monolog/ow_util_log_wrp_velo velocity oro hsqldb ews jorm/ow_jorm_compiler xmlbeans
	build-jar-repository . commons-digester axis/axis-ant carol/ow_carol_cmic monolog/ow_util_log_wrp_velo velocity oro hsqldb
popd

# FIXME Someone is getting confused with the brackets in the war
# so we are temporarely removing the brackets
pushd $RPM_BUILD_DIR/%{name}/externals/jonasAdmin
	find . -name "struts*.jar" -exec rm -f {} \;
	build-jar-repository -s -p . struts
popd

# Endorsed Libraries
# ------------------------------------------------------
# FIXME We need the jacorb package with OW patches applied
pushd $RPM_BUILD_DIR/%{name}/externals/endorsed
	find . -name "*.jar" \
               -not -name 'jacorb.jar' \
               -not -name 'idl.jar' \
               -exec rm -f {} \;
# Xalan not needed at build time
#	build-jar-repository . xerces-j2 xml-commons-apis avalon-framework avalon-logkit jacorb/idl.jar jacorb/jacorb.jar
	build-jar-repository . xerces-j2 xml-commons-apis avalon-framework avalon-logkit carol/ow_carol_iiop_delegate
popd
# ------------------------------------------------------
#

pushd $RPM_BUILD_DIR/%{name}/externals/examples
	find . -name "*commons-validator*.jar" -exec rm -f {} \;
	build-jar-repository . commons-validator
popd
# FIXME Someone is getting confused with the brackets in the war
# so we are temporarely removing the brackets
pushd $RPM_BUILD_DIR/%{name}/externals/examples
	find . -name "struts*.jar" -exec rm -f {} \;
	build-jar-repository -s -p . struts
popd
# FIXME Modify examples using oro to get it from tools
pushd $RPM_BUILD_DIR/%{name}/externals/examples
	find . -name "oro*.jar" -exec rm -f {} \;
	build-jar-repository . oro
popd
pushd $RPM_BUILD_DIR/%{name}/externals/examples
	find . -name "xdoclet*.jar" \
               -exec rm -f {} \;
	build-jar-repository . xdoclet/xdoclet xdoclet/xdoclet-apache-module xdoclet/xdoclet-ejb-module xdoclet/xdoclet-exolab-module xdoclet/xdoclet-web-module xdoclet/xdoclet-objectweb-module
popd
pushd $RPM_BUILD_DIR/%{name}/externals/examples
	find .  -name "xjavadoc*.jar" \
               -exec rm -f {} \;
	build-jar-repository . xjavadoc
popd
# ------------------------------------------------------
#

# Web Services libraries
# ------------------------------------------------------
# FIXME we want 1.2 rc2 with ObjectWeb's patches
#pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/axis
#	find . -name "axis*.jar" -exec rm -f {} \;
#	build-jar-repository . axis/axis
#popd
# ------------------------------------------------------
#

# ------------------------------------------
# Build JOnAS from sources (no IIOP version)
# ------------------------------------------
%build

# Try to set a sensible jvm
JAVA_HOME=
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export PATH="$JAVA_HOME/bin:$PATH"
export JONAS_ROOT="../jonasroot"
# Tomcat 5.0.30 is only used for building JOnAS
export CATALINA_HOME="/usr/share/tomcat5030"

# Build JOnAS
export ANT_OPTS=-Xmx512M
ant install_tomcat

# create a jonasbase for Eclipse development
pushd ../jonasroot/eclipseserver
patch -p0 < %{SOURCE9}
popd

%if %{with_tests}
# expand the jonas_tests
pushd ../jonasroot
tar xzf %{SOURCE14}
# build the conformance tests
cd jonas_tests/conformance
export JONAS_ROOT="../../../jonasroot"
export CLASSPATH=../../lib/common/ow_jonas_ant.jar:%(build-classpath xalan-j2 junit bcel)

ant

popd
%endif

# ------------------------------------------
# Install JOnAS
# ------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

# Copy JONAS.README.RPM
cp %{SOURCE1} .

# Create directories
# -----------------------------------------------------------------------------
# Create /usr/share/jonas
install -d -m 755  $RPM_BUILD_ROOT%{jonasrootdir}/{bin,examples,templates,xml}
# Create /var/log/jonas
install -d -m 755  $RPM_BUILD_ROOT%{logsdir}
# Create /etc/jonas
install -d -m 755  $RPM_BUILD_ROOT%{confdir}
# Create /var/cache/jonas/work
install -d -m 755  $RPM_BUILD_ROOT%{workdir}
# Create /var/lib/jonas
install -d -m 755  $RPM_BUILD_ROOT/{%{webappsdir},%{ejbjarsdir},%{clientsdir}}
install -d -m 755  $RPM_BUILD_ROOT/{%{rarsdir},%{_bindir},%{appsdir}}
install -d -m 755  $RPM_BUILD_ROOT%{libdir}
install -d -m 755  $RPM_BUILD_ROOT%{demodir}
install -d -m 755  $RPM_BUILD_ROOT%{eclipsedir}
%if %{with_tests}
install -d -m 755  $RPM_BUILD_ROOT%{jonastestsdir}
%endif
# -----------------------------------------------------------------------

# place files into directories
cp -a ../jonasroot/conf/* $RPM_BUILD_ROOT%{confdir}
cp -a ../jonasroot/logs/README $RPM_BUILD_ROOT%{logsdir}
cp -a ../jonasroot/apps/* $RPM_BUILD_ROOT%{appsdir}
cp -a ../jonasroot/webapps/* $RPM_BUILD_ROOT%{webappsdir}
cp -a ../jonasroot/ejbjars/* $RPM_BUILD_ROOT%{ejbjarsdir}
cp -a ../jonasroot/clients/* $RPM_BUILD_ROOT%{clientsdir}
cp -a ../jonasroot/rars/* $RPM_BUILD_ROOT%{rarsdir}
cp -a ../jonasroot/demoserver/* $RPM_BUILD_ROOT%{demodir}
cp -a ../jonasroot/eclipseserver/* $RPM_BUILD_ROOT%{eclipsedir}
%if %{with_tests}
cp -a ../jonasroot/jonas_tests/* $RPM_BUILD_ROOT%{jonastestsdir}
%endif

cp ../jonasroot/build.xml $RPM_BUILD_ROOT%{jonasrootdir}
cp ../jonasroot/{LicenceAgreement.txt,ReleaseNotes.txt} $RPM_BUILD_ROOT%{jonasrootdir}
cp -a ../jonasroot/bin/* $RPM_BUILD_ROOT%{jonasrootdir}/bin
cp -a ../jonasroot/examples/* $RPM_BUILD_ROOT%{jonasrootdir}/examples
cp -a ../jonasroot/templates/* $RPM_BUILD_ROOT%{jonasrootdir}/templates
cp -a ../jonasroot/xml/* $RPM_BUILD_ROOT%{jonasrootdir}/xml
cp -a ../jonasroot/lib/* $RPM_BUILD_ROOT%{libdir}

# Create symbolic links
ln -sf %{confdir} $RPM_BUILD_ROOT%{jonasrootdir}/conf
ln -sf %{logsdir} $RPM_BUILD_ROOT%{jonasrootdir}/logs
ln -sf %{appsdir} $RPM_BUILD_ROOT%{jonasrootdir}/apps
ln -sf %{webappsdir} $RPM_BUILD_ROOT%{jonasrootdir}/webapps
ln -sf %{ejbjarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/ejbjars
ln -sf %{clientsdir} $RPM_BUILD_ROOT%{jonasrootdir}/clients
ln -sf %{rarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/rars
ln -sf %{workdir} $RPM_BUILD_ROOT%{jonasrootdir}/work
ln -sf %{libdir} $RPM_BUILD_ROOT%{jonasrootdir}/lib
%if %{with_tests}
ln -sf %{jonastestsdir} $RPM_BUILD_ROOT%{jonasrootdir}/jonas_tests
%endif

# Remove jars resolved from dependencies
# ------------------------------------------------

# Exclude some J2EE packages as we don't have RPMs for them yet
# FIXME A snapshot of wsdl4j dated 27-Apr-2004 is required
pushd $RPM_BUILD_ROOT%{libdir}/commons/j2ee
	find . -name "*.jar" -not -name "*jacc*" \
			     -not -name "*jaxrpc*" \
			     -not -name "*jaxr-api*" \
			     -not -name "*wsdl4j*" \
			     -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas
	find . -mindepth 1 -maxdepth 1 \
               -name "*.jar" \
               -not -name "*howl*" \
               -not -name "ow_jonas*" \
               -exec rm -f {} \;
popd

#pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus
#	find . -name "*.jar" -exec rm -f {} \;
#popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/jaxr-ri
	find . -name "*castor*.jar" \
               -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram
	find . -name "*.jar" -exec rm -f {} \;
popd

#pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm
#	find . -name "*.jar" -exec rm -f {} \;
#popd

#pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor
#	find . -name "*.jar" -exec rm -f {} \;
#popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog
	find . -name "*.jar" -exec rm -f {} \;
popd

#pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo
#	find . -name "*.jar" -exec rm -f {} \;
#popd

# FIXME Actually JOnAS comes with "Snapshot (27-Mar-2004)"
pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons
	find . -name "*.jar" \
               -not -name "*discovery*.jar" \
               -exec rm -f {} \;
popd

# We now use mx4j instead of JMX
# TEST Revert to MX4J shipped with JOnAS
#pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/mx4j
#	find . -name "*.jar" -exec rm -f {} \;
#popd

# FIXME we want 1.2 rc2 with ObjectWeb's patches
#pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/axis
#	find . -name "*.jar" -exec rm -f {} \;
#popd

# FIXME We need the jacorb package with OW patches applied
pushd $RPM_BUILD_ROOT%{libdir}/endorsed
	find . -name "*.jar" \
               -not -name 'jacorb.jar' \
               -not -name 'idl.jar' \
               -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/tools
	find . -name "*.jar" \
               -not -name "ow_jonas*.jar" \
               -not -name "ews*.jar" \
               -not -name "ow_jorm_compiler*.jar" \
               -not -name "xbean-apache*.jar" \
               -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/examples
	find . -name "*commons-validator*.jar" -exec rm -f {} \;
popd
# FIXME Someone is getting confused with the brackets in the war
# so we are temporarely removing the brackets
pushd $RPM_BUILD_ROOT%{libdir}/examples
	find . -name "*struts*.jar" -exec rm -f {} \;
	build-jar-repository -s -p . struts
popd
# FIXME Modify examples using oro to get it from tools
pushd $RPM_BUILD_ROOT/%{libdir}/examples
	find . -name "*oro*.jar" -exec rm -f {} \;
popd
pushd $RPM_BUILD_ROOT/%{libdir}/examples
	find . -name "*xdoclet*.jar" \
               -exec rm -f {} \;
popd
pushd $RPM_BUILD_ROOT/%{libdir}/examples
	find .  -name "*xjavadoc*.jar" \
               -exec rm -f {} \;
popd

# Try to set a sensible jvm
unset JAVA_HOME
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java

# Manage RPM dependencies
# -------------------------------------------------------------
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	activation
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	ejb
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	j2ee-connector
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	j2ee-deployment
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	j2ee-management
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	jms
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	jspapi
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	jta
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	jts
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	javamail/imap
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	javamail/mailapi
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	javamail/pop3
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	javamail/smtp
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	servletapi5
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	axis/jaxrpc
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	axis/saaj
# FIXME A snapshot dated 27-Apr-2004
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	wsdl4j

# We now use mx4j instead of JMX
# TEST Revert to MX4J shipped with JOnAS
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/mx4j	mx4j/mx4j
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/mx4j	mx4j/mx4j-remote

#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	 	howl
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	 	hsqldb
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	 	jotm
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	 	p6spy

#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_cache
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_concurrency
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_dependency
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_persistence
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_connection_holder
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_pool

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol 	jgroups
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol 	carol/ow_carol_core

#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jaxr-ri	jaxr-ri
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jaxr-ri	castor
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jaxr-ri	fscontext
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jaxr-ri	soap

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	jonathan-core
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	jonathan-jeremie
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	oldkilim
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	nanoxml-lite

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	regexp
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	java_cup
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	java_cup-runtime
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/client
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/connector
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/mom
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/shared

#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm-rdb-adapter/ow_jorm_rdb_adapter
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm/ow_jorm_api
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm/ow_jorm_core
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm/ow_jorm_runtime

#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor	medor-exp/ow_medor_exp
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor	medor/ow_medor
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor	medor/ow_medor_clone

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_helper
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_file
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_p6spy
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_log4j
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_javalog
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_pw
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_common

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo	jdo/jdo
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo	speedo/speedo_for_jonas_rar
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo	speedo/speedo_client

# FIXME we want 1.2 rc2 with ObjectWeb's patches
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/axis 	axis/axis

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-beanutils
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-collections
# FIXME Actually JOnAS comes with "Snapshot (27-Mar-2004)"
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-discovery
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-logging
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-modeler

build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		xerces-j2
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		xml-commons-apis
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		xalan-j2
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		avalon-framework
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		avalon-logkit
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		carol/ow_carol_iiop_delegate
# FIXME We need the jacorb package with OW patches applied
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed			jacorb/jacorb.jar
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed			jacorb/idl.jar

build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		commons-validator
# FIXME Modify examples using oro to get it from tools
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		oro
# FIXME Someone is getting confused with the brackets in the war
# so we are temporarely removing the brackets
build-jar-repository -s -p $RPM_BUILD_ROOT%{libdir}/examples		struts
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-apache-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-ejb-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-exolab-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-web-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-objectweb-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xjavadoc

# externals/tools/velocity-dep-1.4.jar includes also
# commons-collections, avalon-logkit and oro
# collections is in commons; logkit is in endorsed
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		velocity
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		oro
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		commons-digester
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		axis/axis-ant
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		carol/ow_carol_cmic
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		monolog/ow_util_log_wrp_velo
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		ews
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		jorm/ow_jorm_compiler
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		xmlxbean


# -----------------------------------------------------------------------
# End links

# install jonas scripts in bin directory
ln -sf %{jonasrootdir}/bin/unix/jclient $RPM_BUILD_ROOT%{_bindir}/jclient
ln -sf %{jonasrootdir}/bin/unix/jonas $RPM_BUILD_ROOT%{_bindir}/jonas
ln -sf %{jonasrootdir}/bin/unix/newbean $RPM_BUILD_ROOT%{_bindir}/newbean
ln -sf %{jonasrootdir}/bin/unix/registry $RPM_BUILD_ROOT%{_bindir}/registry
ln -sf %{jonasrootdir}/bin/unix/RAConfig $RPM_BUILD_ROOT%{_bindir}/RAConfig
ln -sf %{jonasrootdir}/bin/unix/WsGen $RPM_BUILD_ROOT%{_bindir}/WsGen
ln -sf %{jonasrootdir}/bin/unix/ClientStubGen $RPM_BUILD_ROOT%{_bindir}/ClientStubGen

#Red Hat specific  --  SysV init scripts and logrotate configuration
install -D -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/jonas
install -D -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/rhdb-jonas
install -D -m 744 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/jonas
install -D -m 744 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/rhdb-jonas
install -D -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/jonas
install -D -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/logrotate.d/rhdb-jonas
install -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/profile.d/jonas.csh
install -D -m 644 %{SOURCE11} $RPM_BUILD_ROOT/etc/profile.d/jonas.sh
# PostgreSQL Database (jdbc_1)
mkdir -p $RPM_BUILD_ROOT%{jonasrootdir}/pgsql
# Expand manual war and remove it
(cd doc; jar xf jonas-doc-en.war; rm jonas-doc-en.war; rm -fr WEB-INF; rm -fr META-INF; rm -fr CVS; rm README)

# -----------------------------------------------------------------------------


# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT


# --------------------------------------
# Prepare the installation of JOnAS
# --------------------------------------
%pre

# Stop the service if it is running
# Do it here for update
if [ $1 = 2 ]; then
   service jonas stop >/dev/null 2>&1
   # clean return code in case the service was not running already
   ls >/dev/null
fi

%pre -n jonas-client

# Create a jonas group and account if needed
JONAS_SHELL=/bin/false
[ -x /sbin/nologin ] && JONAS_SHELL=/sbin/nologin
/usr/sbin/groupadd -r jonas 2>/dev/null || :
/usr/sbin/useradd -c Jonas -r -s $JONAS_SHELL -d %{jonasrootdir} -g jonas jonas 2>/dev/null || :

%pre -n jonas-examples

# Stop the service if it is running
# Do it here for update
   if [ $1 = 2 ]; then
   service rhdb-jonas stop >/dev/null 2>&1
   # clean return code in case the service was not running already
   ls >/dev/null
fi


# ----------------------------------------
# Prepare the uninstallation of JOnAS
# ----------------------------------------
%preun

# last uninstall (delete)
if [ $1 = 0 ]; then
   # Stop the service if it is running
   service jonas stop >/dev/null 2>&1

   /sbin/chkconfig --del jonas
fi

find %{webappsdir} -mindepth 1 -maxdepth 1 \
		   -name "*" \
		   -not -name "autoload" \
		   -not -name "*.war" \
		   -exec rm -fr {} \;

find %{appsdir} -mindepth 1 -maxdepth 1 \
		-name "*" \
		-not -name "autoload" \
		-not -name "README" \
		-not -name "*.ear" \
		-exec rm -fr {} \;

find %{rarsdir} -mindepth 1 -maxdepth 1 \
		-name "*" \
		-not -name "autoload" \
		-not -name "README" \
		-not -name "speedo_for_jonas_ra.rar" \
		-not -name "*.ear" \
		-exec rm -fr {} \;

# Remove work files and expanded ones that may be incompatible
# with a new version.
find %{workdir} -mindepth 1 -maxdepth 1 \
		   -name "*" \
		   -exec rm -fr {} \;

%preun -n jonas-examples

# last uninstall (delete)
if [ $1 = 0 ]; then
    # Stop the service if it is running
    service rhdb-jonas stop >/dev/null 2>&1

   /sbin/chkconfig --del rhdb-jonas
fi


# ----------------------------------------
# Finish the installation of JOnAS
# ----------------------------------------
%post
# first install
if [ $1 = 1 ]; then
   /sbin/chkconfig --add jonas
fi

# Remove deprecated directories
rm -fr %{libdir}/common/acme
rm -fr %{libdir}/common/carol
rm -fr %{libdir}/common/connector
rm -fr %{libdir}/common/j2ee
rm -fr %{libdir}/common/jakarta
rm -fr %{libdir}/common/jdo
rm -fr %{libdir}/common/jmx
rm -fr %{libdir}/common/joram
rm -fr %{libdir}/common/jorm
rm -fr %{libdir}/common/log
rm -fr %{libdir}/common/medor
rm -fr %{libdir}/common/p6spy
rm -fr %{libdir}/common/speedo
rm -fr %{libdir}/common/velocity
rm -fr %{libdir}/common/ws
rm -fr %{libdir}/common/xml


%if %{with_tests}
%post -n jonas-tests
  # create the resources for jdbcra testsuite
  su - jonas -s /bin/sh -c "cd %{rarsdir}/autoload/; . %{jonasrootdir}/bin/unix/RAConfig -j jdbc_xa1 -dm -p %{confdir}/PostgreSQL1 %{rarsdir}/autoload/JOnAS_jdbcDM PostgreSQL1_DM; . %{jonasrootdir}/bin/unix/RAConfig -j jdbc_xa2 -dm -p %{confdir}/PostgreSQL1 %{rarsdir}/autoload/JOnAS_jdbcDM PostgreSQL2_DM"

%endif

%post -n jonas-examples
DB=/usr/share/jonas/pgsql
# first install
if [ $1 = 1 ] && [ ! -d $DB/base ]; then
   LANG=C
   chown postgres:postgres $DB
   su postgres -s /bin/sh -c "/usr/bin/initdb -D $DB > /dev/null 2>&1"
   # allow localhost password access to this server instance
   echo >> $DB/pg_hba.conf
   echo '# added by jonas.spec' >> $DB/pg_hba.conf
   echo 'host all all 127.0.0.1 255.255.255.255 password' >> $DB/pg_hba.conf
   echo >> $DB/postgresql.conf
   echo '# added by jonas.spec' >> $DB/postgresql.conf
   echo 'tcpip_socket = true' >> $DB/postgresql.conf
   echo 'port = 5433' >> $DB/postgresql.conf
                                                                                
   # Match /var/lib/jonas/conf/PostgreSQL1.properties
   su postgres -s /bin/sh -c "/usr/bin/pg_ctl -D $DB -l /dev/null start"
   su postgres -s /bin/sh -c "/usr/bin/createdb -p 5433 db_jonas"
   su postgres -s /bin/sh -c "/usr/bin/psql -p 5433 -d db_jonas -c 'alter user postgres with password '\"'postgres'\"';'"
   su postgres -s /bin/sh -c "/usr/bin/psql -p 5433 -d db_jonas -c 'create user jonas with password '\"'jonas'\"';'"
   su postgres -s /bin/sh -c "/usr/bin/pg_ctl -D $DB -p 5433 stop"
fi

# first install
if [ $1 = 1 ]; then
   /sbin/chkconfig --add rhdb-jonas
fi

# ----------------------------------------
# Finish the installation of JOnAS
# ----------------------------------------
%postun
# We don't remove the pre-defined system users or groups
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jonas > /dev/null 2>&1 || :
#  groupdel jonas > /dev/null 2>&1 || :
#fi

%if %{with_tests}
%postun -n jonas-tests
rm -f %{rarsdir}/autoload/PostgreSQL1_DM.rar
rm -f %{rarsdir}/autoload/PostgreSQL2_DM.rar
%endif

# -----------------------------------------------------------------------------

%files
%defattr(644,root,root,755)
%doc JONAS.README.RPM
%doc doc/*

# < JOnAS Root files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}
%{jonasrootdir}/LicenceAgreement.txt
%{jonasrootdir}/ReleaseNotes.txt
%{jonasrootdir}/build.xml
%dir %{jonasrootdir}/bin
%dir %{jonasrootdir}/bin/unix
%defattr(0755,jonas,jonas,0755)
%config %{jonasrootdir}/bin/unix/config_env
%{jonasrootdir}/bin/unix/GenIC
%{jonasrootdir}/bin/unix/JmsServer
%{jonasrootdir}/bin/unix/jonas
%{jonasrootdir}/bin/unix/newbean
%{jonasrootdir}/bin/unix/RAConfig
%{jonasrootdir}/bin/unix/registry
%{jonasrootdir}/bin/unix/WsGen
%{jonasrootdir}/bin/unix/ClientStubGen
%defattr(0644,jonas,jonas,0755)
# FIXME should we remove the 'nt' directory
%dir %{jonasrootdir}/bin/nt
%{jonasrootdir}/bin/nt/*
%dir %{jonasrootdir}/xml
%{jonasrootdir}/xml/*
%dir %{jonasrootdir}/templates
%{jonasrootdir}/templates/*
%dir %{jonasrootdir}/logs
%dir %{jonasrootdir}/apps
# Defined in the client subpackage
#%dir %{jonasrootdir}/conf
#%dir %{jonasrootdir}/ejbjars
#%dir %{jonasrootdir}/lib
%dir %{jonasrootdir}/rars
%dir %{jonasrootdir}/webapps
%dir %{jonasrootdir}/work
# Defined in the tests subpackage
#%dir %{jonasrootdir}/jonas_tests
# ---------------------
# JOnAS Root files >

# < Configuration files
# ---------------------
%dir %{confdir}
%config %{confdir}/a3debug.cfg
%config %{confdir}/a3servers.xml
%config %{confdir}/db2.properties
%config %{confdir}/FirebirdSQL.properties
%config %{confdir}/HSQL1.properties
%config %{confdir}/InstantDB1.properties
%config %{confdir}/InterBase1.properties
%config %{confdir}/java.policy
%config %{confdir}/jetty5.xml
%config %{confdir}/jetty5-webdefault.xml
%config %{confdir}/jk2.properties
%config %{confdir}/uddi.properties
%config %{confdir}/file1.properties
%config %{confdir}/jaxr.properties
%config %{confdir}/jonas.properties
%config %{confdir}/jonas-realm.xml
%config %{confdir}/jonathan.xml
%config %{confdir}/joram-admin.cfg
%config %{confdir}/MailMimePartDS1.properties
%config %{confdir}/MailSession1.properties
%config %{confdir}/McKoi1.properties
%config %{confdir}/MySQL.properties
%config %{confdir}/Oracle1.properties
%config %{confdir}/PostgreSQL1.properties
%config %{confdir}/Sybase1.properties
%config %{confdir}/server.xml
%config %{confdir}/speedo.properties
%config %{confdir}/spy.properties
%config %{confdir}/trace.properties
%config %{confdir}/web.xml
%config %{confdir}/wrapper.conf

# Eclipse debug server configuration template
%dir %{eclipsedir}
%{eclipsedir}/

# Red Hat specific
%defattr(0655,root,root,0755)
/etc/rc.d/init.d/jonas
%defattr(0644,root,root,0755)
%config /etc/sysconfig/jonas
%config /etc/logrotate.d/jonas
%config /etc/profile.d/jonas.csh
%config /etc/profile.d/jonas.sh
# ---------------------
# Configuration files >

# < Cache files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{workdir}
# ---------------------
# Cache files >

# < Log files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{logsdir}
%doc %{logsdir}/README
# ---------------------
# Log files >

# < Libraries
# ---------------------
%defattr(0644,jonas,jonas,0755)
# Defined in the client subpackage as it is also needed on client systems
#%dir %{libdir}
%doc %{libdir}/README
%{libdir}/ishmael.jar
%dir %{libdir}/apps
%doc %{libdir}/apps/README
%dir %{libdir}/common
%{libdir}/common/ow_jonas_ant.jar
%{libdir}/common/ow_jonas_bootstrap.jar
%dir %{libdir}/commons
%dir %{libdir}/commons/jonas
%doc %{libdir}/commons/jonas/README
%{libdir}/commons/jonas/
# FIXME If we escape the square brackets we get "File not found"
# For instance:
#%{libdir}/commons/jonas/carol/\[jgroups\].jar
# FIXME If we don't escape we get "File not found by glob"
# For instance:
#%{libdir}/commons/jonas/carol/[jgroups].jar
# So we just don't list the files of the affected directories
%dir %{libdir}/commons/jonas/axis
%{libdir}/commons/jonas/axis/
%dir %{libdir}/commons/jonas/carol
%doc %{libdir}/commons/jonas/carol/README
%{libdir}/commons/jonas/carol/
%dir %{libdir}/commons/jonas/jakarta-commons
%doc %{libdir}/commons/jonas/jakarta-commons/README
%{libdir}/commons/jonas/jakarta-commons
%dir %{libdir}/commons/jonas/jaxr-ri
%doc %{libdir}/commons/jonas/jaxr-ri/README
%{libdir}/commons/jonas/jaxr-ri
%dir %{libdir}/commons/jonas/jeremie
%doc %{libdir}/commons/jonas/jeremie/README
%{libdir}/commons/jonas/jeremie
%dir %{libdir}/commons/jonas/joram
%doc %{libdir}/commons/jonas/joram/README
%{libdir}/commons/jonas/joram
%dir %{libdir}/commons/jonas/jorm
%doc %{libdir}/commons/jonas/jorm/README
%{libdir}/commons/jonas/jorm
%dir %{libdir}/commons/jonas/medor
%doc %{libdir}/commons/jonas/medor/README
%{libdir}/commons/jonas/medor
%dir %{libdir}/commons/jonas/monolog
%doc %{libdir}/commons/jonas/monolog/README
%{libdir}/commons/jonas/monolog
%dir %{libdir}/commons/jonas/mx4j
%doc %{libdir}/commons/jonas/mx4j/README
%{libdir}/commons/jonas/mx4j
%dir %{libdir}/commons/jonas/perseus
%{libdir}/commons/jonas/perseus
%dir %{libdir}/commons/jonas/speedo
%doc %{libdir}/commons/jonas/speedo/README
%{libdir}/commons/jonas/speedo
%dir %{libdir}/commons/j2ee
%doc %{libdir}/commons/j2ee/README
%{libdir}/commons/j2ee
%dir %{libdir}/tools
%doc %{libdir}/tools/README
%{libdir}/tools
%dir %{libdir}/endorsed
%doc %{libdir}/endorsed/README
%{libdir}/endorsed
%dir %{libdir}/ext
%doc %{libdir}/ext/README
%dir %{libdir}/catalina
%dir %{libdir}/catalina/bin
%{libdir}/catalina/bin/bootstrap.jar
%dir %{libdir}/catalina/common
%dir %{libdir}/catalina/common/lib
%doc %{libdir}/catalina/common/lib/README
%{libdir}/catalina/common/lib
%dir %{libdir}/catalina/server
%dir %{libdir}/catalina/server/lib
%doc %{libdir}/catalina/server/lib/README
%{libdir}/catalina/server/lib
%dir %{libdir}/catalina/shared
%dir %{libdir}/catalina/shared/lib
%doc %{libdir}/catalina/shared/lib/README
%dir %{libdir}/jetty
%dir %{libdir}/jetty/ext
%doc %{libdir}/jetty/ext/README
%dir %{libdir}/jetty/lib
%doc %{libdir}/jetty/lib/README
# ---------------------
# Libraries >

%dir %{syslibdir}/%{name}

%dir %{appsdir}
%doc %{appsdir}/README
%{appsdir}/j2eemanagement.ear
%{appsdir}/ws.ear
%dir %{appsdir}/autoload
%doc %{appsdir}/autoload/README

%dir %{webappsdir}
%{webappsdir}/juddi.war
%{webappsdir}/wsaccess.war
%{webappsdir}/wswarsample.war
%dir %{webappsdir}/autoload
%doc %{webappsdir}/autoload/README
%{webappsdir}/autoload/jonasAdmin.war
%{webappsdir}/autoload/ctxroot.war

# Defined in the client subpackage
#%dir %{ejbjarsdir}
%doc %{ejbjarsdir}/README
%doc %{ejbjarsdir}/autoload/README
%{ejbjarsdir}/autoload/mejb.jar

%dir %{rarsdir}
%doc %{rarsdir}/README
%{rarsdir}/speedo_for_jonas_ra.rar
%dir %{rarsdir}/autoload
%{rarsdir}/autoload/JOnAS_jdbcCP.rar
%{rarsdir}/autoload/JOnAS_jdbcDM.rar
%{rarsdir}/autoload/JOnAS_jdbcDS.rar
%{rarsdir}/autoload/JOnAS_jdbcXA.rar
%{rarsdir}/autoload/joram_for_jonas_ra.rar
%doc %{rarsdir}/autoload/README

%attr(755,root,root) %{_bindir}/jonas
%attr(755,root,root) %{_bindir}/newbean
%attr(755,root,root) %{_bindir}/registry
%attr(755,root,root) %{_bindir}/RAConfig

%files client
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/lib
%dir %{libdir}
%{libdir}/client.jar
%dir %{jonasrootdir}/clients
%dir %{clientsdir}
%doc %{clientsdir}/README
%dir %{jonasrootdir}/conf
%config %{confdir}/carol.properties
%config %{confdir}/jonas-client.properties
%config %{confdir}/jacorb.properties
%config %{confdir}/jaas.config
%config %{confdir}/traceclient.properties
%attr(755,jonas,jonas) %{jonasrootdir}/bin/unix/setenv
%attr(755,jonas,jonas) %{jonasrootdir}/bin/unix/jclient
%attr(755,root,root) %{_bindir}/jclient

# Defined in the client subpackage as it is also needed on client systems
%dir %{jonasrootdir}/ejbjars
%dir %{ejbjarsdir}

%files docs
%defattr(0644,jonas,jonas,0755)
%{webappsdir}/autoload/jonas-doc-en
%{webappsdir}/autoload/tomcat-docs.war

%files examples
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/examples
%{jonasrootdir}/examples/*
%dir %{libdir}/examples
%doc %{libdir}/examples/README
%{libdir}/examples
%dir %{demodir}
%doc %{demodir}/README
%dir %{demodir}/logs
%doc %{demodir}/logs/README
%dir %{demodir}/apps
%doc %{demodir}/apps/README
%doc %{demodir}/apps/autoload/README
%dir %{demodir}/rars
%doc %{demodir}/rars/README
%{demodir}/rars/speedo_for_jonas_ra.rar
%{demodir}/rars/autoload/JOnAS_jdbcCP.rar
%{demodir}/rars/autoload/JOnAS_jdbcDM.rar
%{demodir}/rars/autoload/JOnAS_jdbcDS.rar
%{demodir}/rars/autoload/JOnAS_jdbcXA.rar
%{demodir}/rars/autoload/joram_for_jonas_ra.rar
%doc %{demodir}/rars/autoload/README
%dir %{demodir}/ejbjars
%doc %{demodir}/ejbjars/README
%doc %{demodir}/ejbjars/autoload/README
%{demodir}/ejbjars/autoload/mejb.jar
%dir %{demodir}/clients
%doc %{demodir}/clients/README
%dir %{demodir}/webapps
%{demodir}/webapps/juddi.war
%dir %{demodir}/webapps/autoload
%doc %{demodir}/webapps/autoload/README
%{demodir}/webapps/autoload/jonasAdmin.war
%{demodir}/webapps/autoload/ctxroot.war
%dir %{demodir}/conf
%{demodir}/conf/*
%dir %{demodir}/lib
%dir %{demodir}/lib/ext
%doc %{demodir}/lib/ext/README

%{appsdir}/alarm.ear
%{appsdir}/cmp2.ear
%{appsdir}/olstore.ear
%{appsdir}/wsclient.ear
%{appsdir}/autoload/earsample.ear
%{clientsdir}/jaasopclient1.jar
%{clientsdir}/jaasopclient2.jar
%{clientsdir}/jaasopclient3.jar
%{ejbjarsdir}/clusterDemo.jar
%{ejbjarsdir}/eb.jar
%{ejbjarsdir}/jaasop.jar
%{ejbjarsdir}/jms.jar
%{ejbjarsdir}/lb.jar
%{ejbjarsdir}/mailsb.jar
%{ejbjarsdir}/sampleappli.jar
%{ejbjarsdir}/samplemdb.jar
%{ejbjarsdir}/newsamplemdb.jar
%{ejbjarsdir}/sb.jar

# Red Hat specific
%defattr(0644,postgres,postgres,0700)
%dir %{jonasrootdir}/pgsql

# Red Hat specific init scripts and configuration
%defattr(0655,root,root,0755)
/etc/rc.d/init.d/rhdb-jonas
%defattr(0644,root,root,0755)
%config /etc/sysconfig/rhdb-jonas
%config /etc/logrotate.d/rhdb-jonas

%if %{with_tests}
%files tests
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/jonas_tests
%dir %{jonastestsdir}
%{jonastestsdir}/*
%{ejbjarsdir}/annuaire.jar
%{ejbjarsdir}/applimet.jar
%{ejbjarsdir}/bank.jar
%{ejbjarsdir}/beanexc.jar
%{ejbjarsdir}/bmt.jar
%{ejbjarsdir}/bytearray.jar
%{ejbjarsdir}/cascade.jar
%{ejbjarsdir}/cluster.jar
%{ejbjarsdir}/dass.jar
%{ejbjarsdir}/ebasic.jar
%{ejbjarsdir}/ejbql.jar
%{ejbjarsdir}/family.jar
%{ejbjarsdir}/folder.jar
%{ejbjarsdir}/hotdeploy1.jar
%{ejbjarsdir}/hotdeploy2.jar
%{ejbjarsdir}/inherit.jar
%{ejbjarsdir}/j2eeca.jar
%{ejbjarsdir}/jca15.jar
%{ejbjarsdir}/jdbc.jar
%{ejbjarsdir}/jdbcra.jar
%{ejbjarsdir}/lcp.jar
%{ejbjarsdir}/local.jar
%{ejbjarsdir}/message.jar
%{ejbjarsdir}/mnb.jar
%{ejbjarsdir}/mnu.jar
%{ejbjarsdir}/mou.jar
%{ejbjarsdir}/obigd.jar
%{ejbjarsdir}/oboolean.jar
%{ejbjarsdir}/obyte.jar
%{ejbjarsdir}/odouble.jar
%{ejbjarsdir}/ofloat.jar
%{ejbjarsdir}/ofloat4pk.jar
%{ejbjarsdir}/ointeger.jar
%{ejbjarsdir}/olong.jar
%{ejbjarsdir}/omb.jar
%{ejbjarsdir}/omu.jar
%{ejbjarsdir}/oob.jar
%{ejbjarsdir}/oou.jar
%{ejbjarsdir}/oser.jar
%{ejbjarsdir}/oshort.jar
%{ejbjarsdir}/osqldate.jar
%{ejbjarsdir}/osqltime.jar
%{ejbjarsdir}/osqlts.jar
%{ejbjarsdir}/osqlts4pk.jar
%{ejbjarsdir}/outildate.jar
%{ejbjarsdir}/pboolean.jar
%{ejbjarsdir}/pdouble.jar
%{ejbjarsdir}/pfloat.jar
%{ejbjarsdir}/pkcomp.jar
%{ejbjarsdir}/pkg.jar
%{ejbjarsdir}/plong.jar
%{ejbjarsdir}/pshort.jar
%{ejbjarsdir}/rcycle.jar
%{ejbjarsdir}/remon.jar
%{ejbjarsdir}/remoterunner.jar
%{ejbjarsdir}/s1pkcomp.jar
%{ejbjarsdir}/s2pkcomp.jar
%{ejbjarsdir}/s3pkcomp.jar
%{ejbjarsdir}/secured.jar
%{ejbjarsdir}/sequence.jar
%{ejbjarsdir}/tables.jar
%{ejbjarsdir}/tier.jar
%{ejbjarsdir}/transacted.jar
%{rarsdir}/autoload/ErsatzEIS.rar
%{rarsdir}/autoload/ErsatzLoTransaction.rar
%{rarsdir}/autoload/ErsatzNolog.rar
%{rarsdir}/autoload/ErsatzSecurity.rar
%{rarsdir}/autoload/ErsatzXATransaction.rar
%{rarsdir}/autoload/JtestResourceAdapter.rar
%{rarsdir}/autoload/Nolog.rar
%{rarsdir}/autoload/Reauth.rar
%{rarsdir}/autoload/Security.rar
%{rarsdir}/autoload/Transaction.rar
%{rarsdir}/autoload/XATransaction.rar
%endif

# -----------------------------------------------------------------------------

%changelog
* Tue May 17 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.5-1jpp_2rh
- Add java_cup-runtime at build time so it goes into client.jar
- Add missing ow_carol_iiop_delegate.jar from externals/endorsed

* Mon May 09 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.5-1jpp_1rh
- Upgrade to 4.3.5

* Mon Mar 28 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.4-1jpp_1rh
- Upgrade to 4.3.4
- Remove patches already incorporated on this release

* Mon Mar 21 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_9rh
- Add patch to eliminate warnings on shutdown
- Add patch to add autoload/joram_for_jonas_ra.rar in the list of rars to
  copy in JONAS-BASE

* Wed Mar 16 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_8rh
- Use new documentation war file

* Wed Mar 16 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_7rh
- Rebuild

* Wed Mar 16 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_6rh
- Fix rhdb-jonas service status and start
- Add missing BuildRequires to examples subpackage
- Add missing Requires to tests subpackage
- Use tomcat with fixed documentation link

* Fri Mar 11 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_5rh
- Fix location of PostgreSQL JDBC driver

* Wed Mar 09 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_3rh
- Fix catalina links
- Update documentation
- Add patch to remove stack trace
- Rebuild with BEA

* Tue Mar 08 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_2rh
- Use tomcat5030 package
- Do not use jakarta-commons-discovery package
- Do not use wsdl4j package

* Tue Mar 08 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_1rh
- Upgrade to 4.3.3
- Revert to use mx4j shipped with JOnAS
- Use the JOTM package
- Use the JORAM package
- Rebuild with BEA

* Thu Feb 04 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.1-1jpp_1rh
- Upgrade to 4.3.1 release candidate (snapshot as of Jan 26, 2005)
- Replace JCup.jar with java_cup RPM dependency
- Replace XDoclet with xdoclet dependency (contains ObjectWeb fixes)
- Remove dependency on commons-el  (comes with Tomcat)

* Mon Jan 10 2005 Permaine Cheung <pcheung at redhat.com> - 4.2.3-1jpp_6rh
- Create two datasources jdbc_xa1 and jdbc_xa2 for running the JDBC Resouce
  Adapter tests and remove them when the test rpm is uninstalled

* Mon Jan 10 2005 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_5rh
- Patch to fix Web Services problems (from Eric Hardesty)
- Make 'ws' service on by default

* Thu Dec 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_4rh
- Rebuild

* Thu Dec 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_3rh
- Rebuild

* Tue Dec 21 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_2rh
- Add mechanism to build snapshots
- Replace more jar files with dependencies

* Fri Dec 17 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_1rh
- Upgrade to 4.2.3

* Wed Dec 15 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.2-1jpp_1rh
- Upgrade to 4.2.2

* Mon Dec 13 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.1-1jpp_3rh
- Source configuration settings in the reverse order so the JOnAS settings
  are not clobbered
- Use p6spy, jta, j2ee-connector, j2ee-deployment, j2ee-management,
  oldkilim and nanoxml packages

* Thu Dec 09 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.1-1jpp_2rh
- Add link to jonas_tests
- Rebuild with Tomcat 5.0.30
- Use the jonathan-* packages

* Fri Dec 06 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.1-1jpp_1rh
- Upgrade to JOnAS 4.2.1 release

* Wed Nov 03 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.4-1jpp_1rh
- Upgrade to JOnAS 4.1.4 release
- Update patch to Ant build script
- Not any longer necessary to patch classloader.
- Patch to JmsServer script already incorporated in the sources (removed)
- Add profile scripts to add default JONAS_ROOT
- Accept other versions of PostgreSQL, not only the RHDB one
- Include jonas_tests and conditionally build the conformance tests
- Add olstore example
- Add lib/examples subdirectory and contents

* Tue Sep 28 2004 Mike McLean <mikem at redhat.com> - 4.1.2-2jpp_2rh
- remove vendor and distribution macros

* Fri Aug 27 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-2jpp_1rh
- Merge with upstream package
- Update SysV init script and associated sysconfig file
- Include fix from Permaine Cheung to the rhdb-jonas logrotate configuration.

* Thu Jul 28 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_14rh
- Always register the rhdb-jonas service with chkconfig
- Fix typo in jonas init script

* Mon Jul 26 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_13rh
- Require xalan-j2 to be at least 2.6.0 due to a bug in 2.5.4
- Declare version of xalan in version.properties (patch0)

* Fri Jul 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_12rh
- Modify template/conf to provide a PostgreSQL datasource

* Fri Jul 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_11rh
- Backfix for the JmsServer command

* Thu Jul 22 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_10rh
- Add xalan-j2 to endorsed jars
- Move pdf files to another package
- Renumber source entries.

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_9rh
- Build with tomcat5 5.0.27 due to problems with 5.0.24 and jonasAdmin
- Clean return code if service was already stopped

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_8rh
- Stop service before both updating and deleting.

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_7rh
- Stop service before installing, not before uninstalling
- Fix test for already created database

* Mon Jul 19 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_6rh
- Fix class loading problems

* Fri Jul 16 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_5rh
- Replace beta2 graphics with final ones.
- Require specific jonas version on subpackages
- Remove duplicate listing of configure files
- Add template configuration directory for Eclipse debugging
- Split build scripts patch

* Wed Jul 14 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_4rh
- Bump release to make build system happy.

* Mon Jul 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_3rh
- Fix test for already configured database
- Fix ownership of rars/autoload
- Create user jonas in the jonas-client subpackage, as that can be installed
  by itself (while the jonas main package depends on jonas-client)

* Wed Jul 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_2rh
- Reinstate test for already configured database.

* Wed Jul 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_1rh
- JOnAS release 1.4.2

* Mon Jul 5 2004 Permaine Cheung <pcheung at redhat.com> - 4.1.1-1jpp_4rh
- Add conf/Sybase1.properties as a config file.

* Tue Jun 29 2004 Andrew Overholt <overholt at redhat.com> - 4.1.1-1jpp_3rh
- jonas -> JOnAS in a few remaining places

* Tue Jun 29 2004 Permaine Cheung <pcheung at redhat.com> - 4.1.1-1jpp_2rh
- Fix configuration for sample database when the data directory doesn't exist.

* Fri Jun 25 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.1-1jpp_1rh
- Bug fixes JOnAS release 4.1.1
- Use JMS shipped with JOnAS.
- Fix version in subpackage dependency
- Add links for utilities in /usr/bin
- Fix permission of executable scripts
- Fix duplicate error in client.jar
- Make config_env a %config so people can change it to switch JDBC drivers.

* Wed Jun 16 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_10rh
- Move jonas-client.properties back to client subpackage; needed by
  webservice clients.

* Tue Jun 15 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_9rh
- Fixes to Client subpackage contents

* Sat Jun 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_8rh
- Fixes to %preun script

* Sat Jun 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_7rh
- Move cleanup to the main package

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_6rh
- Move all client related things to the client subpackage

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_5rh
- Move cleanup files from %postun to %preun

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_4rh
- Move html documentation to the main package

* Wed Jun 09 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_3rh
- Fix documentation installation directory

* Mon Jun 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_2rh
- Mark README files as %doc
- Fix permissions of jclient.sh
- Prevent duplicate configuration of sample database

* Thu Jun 03 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_1rh
- JOnAS version 4.1
- Remove db service from list of services (HSQL should not be started)
- Rename patch file to conform to naming conventions

* Fri Apr 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_6rh
- Remove link to external site from the Welcome page.

* Fri Apr 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_5rh
- Fix directory ownerships.

* Thu Apr 22 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_4rh
- Add backfix that will be in JOnAS release 4.1
- Customize welcome page

* Mon Apr 06 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_3rh
- JOnAS release 4.0

* Mon Apr 06 2004 Fernando Nasser <fnasser at redhat.com> - 3.3.7-1jpp_1rh
- JOnAS release 3.3.7

* Mon Mar 31 2004 Fernando Nasser <fnasser at redhat.com> - 3.3.6-2jpp_12rh
- RH customization

* Mon Mar 08 2004 Guillaume Sauthier <guillaume.sauthier at objectweb.org> - 3.3.6-1jpp
- JOnAS release 3.3.6
- add jonathan dependencie
- remove privated files
- clean spec file
- jmx not included (MBeanException)

* Wed Oct 17 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-2jpp
- Fix change log

* Thu Oct 16 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-1jpp
- JOnAS release 3.3
- File layout change

* Tue Sep 09 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-2jpp
- removed link from %{_javadir}

* Fri Aug 29 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-1jpp
- initial version, JOnAS version 3.2
